Subject: Bug#923: [X2Go-Dev] .xsession-x2go-errors improvements

From: Orion Poplawski <[email-masked]>
Date: Mon, 24 Aug 2015 09:16:29 -0600

On 08/23/2015 09:56 AM, Mihai Moldovan wrote:
> On 18.08.2015 05:46 PM, Orion Poplawski wrote:
>> Package: x2goserver
>> Version: 4.0.1.19
>>
>> First issue is that ~/.xsession-x2go-errors is always appended to so it grows
>> forever.  It should at least get rotated to .old file.
> 
> I'm not sure that's an issue per se. Isn't that normal behavior for DEs/Login
> Managers?
> 
> It's inconvenient, but I remember other software doing exactly the same thing,
> so it's at least "consistent". But maybe I'm wrong. I see ~/.xsession-errors and
> ~/.xsession-errors.old on my system using LightDM. So you're probably right. But
> that's for LightDM, not sure how other LMs or systems without a LM handle this?

On Fedora, /etc/X11/xinit/Xsession does:

    errfile="$HOME/.xsession-errors"
    if ( umask 077 && cp /dev/null "$errfile" 2> /dev/null ); then
        chmod 600 "$errfile"
        [ -x /sbin/restorecon ] && /sbin/restorecon $errfile
        exec > "$errfile" 2>&1

So it overwrites it without backup.  I would prefer a backup.  Perhaps I'll
file a bug...

> 
>> Second is with shared NFS home directories, multiple X2Go sessions get logged
>> to the same file which is confusing.  I would suggest putting the host name
>> into the log file name.
> 
> Okay, but that will break for systems with misconfigured/unset hostnames or
> environments where every system has the same hostname. Additionally, multiple
> sessions also get logged to the same file, so merely going for one file per host
> name feels half-baked.

I'm happy to have a suggestion for another key.  My one worry would be to not
use a key that is completely unique so we end up with a proliferation of
xsession error files like we already have with x2go session dirs.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       [email-masked]
Boulder, CO 80301                   http://www.nwra.com